<ng-container *ngIf="!empty; then content else nocontent"></ng-container>

<ng-template #content>
    <ng-content></ng-content>
</ng-template>

<ng-template #nocontent>
    <mr-empty
    [icon]="emptyIcon"
    [message]="emptyMessage"
    [actionText]="actionText"
    [actionRoute]="actionRoute"></mr-empty>
</ng-template>

<ng-container *ngIf="loading">

    <ng-container *ngIf="!end">
        <button
        *ngIf="loading === 'OFF'"
        mr-button class="primary light block"
        (click)="loadMore.emit()">Cargar Mas</button>

        <mr-loader *ngIf="loading === 'ON'" [height]="200"></mr-loader>
    </ng-container>

</ng-container>

